Subject: IETF 105 mic comments on draft-li-rtgwg-protocol-assisted-protocol

From: Jeffrey Haas <[email-masked]>
Date: Mon, 22 Jul 2019 11:02:31 -0400

To repeat my comments from the microphone regarding this draft:

We already have per-protocol operational and configuration state via the
IETF yang models for a given protocol.

We also have mechanisms to fetch operational state for such protocols; e.g.
netconf and restconf.

Rather than inventing a new mechanism to do troubleshooting for a protocol,
I'd suggest it makes better sense to augment existing IETF yang models to
include RPCs for interacting with troubleshooting for that protocol.

-- Jeff